%define languageenglazy Slovenian
%define languagecode    sl
%define lc_ctype        sl_SI

%define upstream_version 20070127

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/sl_SI.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-sl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_sl_SI.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20070127.1-10.mga3
+ Revision: 353707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20070127.1-9.mga2
+ Revision: 224845
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20070127.1-8.mga2
+ Revision: 209097
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 0.20070127.1-7.mga2
+ Revision: 206341
- adapt .spec to the current policies

  + lmenut <lmenut>
    - fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20070127.1-5.mga1
+ Revision: 69089
- imported package hunspell-sl

